<?php
	/*
	Template Name: Photos
	*/
?>
<!-- HEAD -->
<?php get_header(); ?>
<!-- /HEAD -->

<body>
<?php photos_init(); ?>
<table id="head">
<tr>

	<td>
	<h1>
		<a href="<?php echo get_settings('home'); ?>"><?php bloginfo('name'); ?></a>
		/
		<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>">
		<?php the_title(); ?></a>
	</h1>
	<hr />
	<?php include (TEMPLATEPATH . "/navbar.php"); ?>
	<hr />
	</td>

</tr>
</table>

<div id="sidebar">

	<?php if( is_photo() ): ?>

		<div class="sidebarbox">
		<p><b>Next / Previous Photo</b></p>
			<div class="flickrbar">
			    <a href="<?php photos_photo_next_href(); ?>"><?php photos_photo_next_url(); ?></a><a href="<?php photos_photo_prev_href(); ?>"><?php photos_photo_prev_url(); ?></a>
			</div>
		</div>

		<div class="sidebarbox">
		<p><b>Photo Tags</b><br />
		<?php photos_photo_tags('', ', '); ?>

		</div>

	<?php else: ?>

		<div class="sidebarbox">
		<p><b>Pages</b><br />
		<?php photos_pageindex(3, 20); ?></p>
		</div>

	<?php endif; ?>

</div>

<div class="post">

<?php if (is_photo()): ?>

	<h1 style="text-align: center;" class="storytitle"><?php photos_photo_title($photo_id); ?></h1>

	<p style="text-align: center;">
	<a href="<?php photos_photo_page_url(); ?>">
	<img style="border: solid 1px black;" src="<?php photos_photo_url('medium'); ?>" /></a>
	<br><?php photos_photo_description(); ?></p>

<?php else: ?>

	<!-- Print Title ... but how? -->
	<?php if ($_REQUEST['tag']): ?>
	<h1 style="text-align: center;" class="storytitle">Photographs tagged "<?php print $_REQUEST['tag']?>"</h1>
	<?php else: ?>
		<h1 style="text-align: center;" class="storytitle">Photographs</h1>
	<?php endif; ?>

	<p style="margin-left: 4em; margin-right: 12em; text-align: center;">
	<?php photos_index(20, 5, '', 'square', '', '', '<br />' ); ?>
	</p>
<?php endif; ?>

</div>

<p class="credit"><!--<?php echo $wpdb->num_queries; ?> queries. <?php timer_stop(1); ?> seconds. --><?php echo sprintf(__("Powered by <a href='http://wordpress.org' title='%s'><strong>WordPress</strong></a>"), __("Powered by WordPress, state-of-the-art semantic personal publishing platform")); ?>:
	<a href="/wp-login.php">login</a>
	//
	<a href="/wp-register.php">register</a>
	//
	<a href="<?php bloginfo('rss2_url'); ?>" title="<?php _e('Syndicate this site using RSS'); ?>"><?php _e('<abbr title="Really Simple Syndication">rss</abbr>'); ?></a>
	//
	<a href="/backlinks.html">backlinks</a>
</p>

</body>
</html>
